
cd NextGen

case $1 in
"BDD")
  ../bin/nuXmv -source NextGen.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
  ;;
"BMC+BDD")
  ../bin/nuXmv -source NextGen_bmc_inc_bdd.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
  ;;
"BMC+IC3")
  PARAMBMC_LAYERING=0 PARAMBMC_FORCE_IC3CHECK=1 ../bin/nuXmv -source NextGen_param_klive.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
  ;;
"MCS-BMC+IC3")
  PARAMBMC_LAYERING=1 PARAMBMC_FORCE_IC3CHECK=1 ../bin/nuXmv -source NextGen_param_klive.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
  ;;
"MCS-BMC+IC3-swipe")
  PARAMBMC_LAYERING=1 PARAMBMC_FORCE_IC3CHECK=0 ../bin/nuXmv -source NextGen_param_klive.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
 ;;
"ParamIC3")
  PARAMIC3_LAYERING=0 PARAMIC3_PREFERRED=0 ../bin/nuXmv -source NextGen_param.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
  ;;
"ParamIC3+faultbranch")
  PARAMIC3_LAYERING=0 PARAMIC3_PREFERRED=1 ../bin/nuXmv -source NextGen_param.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
  ;;
"MCS-ParamIC3-simple")
  PARAMIC3_LAYERING=2 PARAMIC3_PREFERRED=1 ../bin/nuXmv -source NextGen_param.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
  ;;
"MCS-ParamIC3")
  PARAMIC3_LAYERING=1 PARAMIC3_PREFERRED=1 ../bin/nuXmv -source NextGen_param.source -sa_compass_task NextGen_P$2.xml NextGen_P$2.smv
  ;;
*)
  echo -e "Algorithm $1 not recognized! \n Usage: ./run_nextgen.sh [alg] [problem] \n\n alg: BDD, BMC+BDD, BMC+IC3, ... \n problem: 1, 2, 3, ..."
;;
esac

cd ..